Index: extensions/AdminTools/template/public_controller.js
===================================================================
--- extensions/AdminTools/template/public_controller.js	(revision 25833)
+++ extensions/AdminTools/template/public_controller.js	(revision 25835)
@@ -101,5 +101,5 @@
 
   // attach jquery handlers
-  this.init = function() {
+  this.init = function(urlSelf) {
     $('body').prepend($ato); // ensure the bar is at the begining
 
@@ -148,5 +148,5 @@
     $ato.find('.switcher').on({
       'change': function() {
-        window.location.href = '{$ato.U_SELF}ato_'+ $(this).data('type') +'='+ $(this).val();
+        window.location.href = urlSelf + 'ato_'+ $(this).data('type') +'='+ $(this).val();
       },
       'click': function(e) {
Index: extensions/AdminTools/template/public_controller.tpl
===================================================================
--- extensions/AdminTools/template/public_controller.tpl	(revision 25833)
+++ extensions/AdminTools/template/public_controller.tpl	(revision 25835)
@@ -42,5 +42,5 @@
   AdminTools.deleteCache();
 {/if}
-  AdminTools.init();
+  AdminTools.init("{$ato.U_SELF}");
 {if $themeconf.mobile}
   AdminTools.initMobile();
@@ -67,5 +67,5 @@
   <ul id="ato_header_root">
     <li><a href="#" class="icon-ato-cancel close-panel"></a></li>
-    <li class="parent"><a href="#" class="icon-menu"><span class="atoHideable1">{'Administration'|translate}</span></a>
+    <li class="parent"><a href="#" class="icon-menu ato-hide-1">{'Administration'|translate}</a>
       <ul>
         <li><a class="icon-picture" href="{$ato.U_SITE_ADMIN}batch_manager">{'Photos'|translate}</a></li>
@@ -78,5 +78,5 @@
     </li>
   {if isset($ato.U_EDIT)}
-    <li class="parent"><a href="#" class="icon-pencil"><span class="atoHideable2">{'Edit'|translate}</span></a>
+    <li class="parent"><a href="#" class="icon-pencil ato-hide-2">{'Edit'|translate}</a>
       <ul>
         <li><a href="#ato_quick_edit" class="icon-ato-flash edit-quick">{'Quick edit'|translate}</a></li>
@@ -90,14 +90,14 @@
   {/if}
   {if isset($ato.U_SET_REPRESENTATIVE)}
-    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative" href="{$ato.U_SET_REPRESENTATIVE}"><span class="atoHideable2">{'representative'|translate|ucfirst}</span></a></li>
+    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative ato-hide-2" href="{$ato.U_SET_REPRESENTATIVE}">{'representative'|translate|ucfirst}</a></li>
   {/if}
   {if isset($ato.U_CADDIE)}
-    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-ato-flag add-caddie" href="{$ato.U_CADDIE}"><span class="atoHideable2">{'Add to caddie'|translate}</span></a></li>
+    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-ato-flag add-caddie ato-hide-2" href="{$ato.U_CADDIE}">{'Add to caddie'|translate}</a></li>
   {/if}
   {if isset($ato.IS_CATEGORY)}
-    <li><a class="icon-plus-circled" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}"><span class="atoHideable2">{'Add Photos'|translate}</span></a></li>
+    <li><a class="icon-plus-circled ato-hide-2" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}">{'Add Photos'|translate}</a></li>
   {/if}
 
-    <li class="parent right multiview"><a class="icon-cog-alt" href="#"><span class="atoHideable1">{'Tools'|translate}</span></a>
+    <li class="parent right multiview"><a class="icon-cog-alt ato-hide-1" href="#">{'Tools'|translate}</a>
       <ul>
         <li><label>{'View as'|translate}</label>
Index: extensions/AdminTools/template/style.css
===================================================================
--- extensions/AdminTools/template/style.css	(revision 25833)
+++ extensions/AdminTools/template/style.css	(revision 25835)
@@ -194,12 +194,20 @@
 
 @media (max-width:640px) {
-	.atoHideable1 {
-		display:none;
-	}
-}
-
-@media (max-width:360px) {
-	.atoHideable2 {
-		display:none;
-	}
-}
+  #ato_header_root li a.ato-hide-1 {
+    font-size:0px;
+    line-height:0px;
+  }
+  #ato_header_root li a.ato-hide-1:before {
+    margin-right:0;
+  }
+}
+
+@media (max-width:500px) {
+  #ato_header_root li a.ato-hide-2 {
+    font-size:0px;
+    line-height:0px;
+  }
+  #ato_header_root li a.ato-hide-2:before {
+    margin-right:0;
+  }
+}