Index: /extensions/meta/language/eo_EO/description.txt
===================================================================
--- /extensions/meta/language/eo_EO/description.txt	(revision 25900)
+++ /extensions/meta/language/eo_EO/description.txt	(revision 25900)
@@ -0,0 +1,1 @@
+Permesas aldoni metadatumojn. Utilas por plibonigi vian videblecon en serĉiloj.
Index: /extensions/meta/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/meta/language/eo_EO/plugin.lang.php	(revision 25899)
+++ /extensions/meta/language/eo_EO/plugin.lang.php	(revision 25900)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['List Personal Metadata'] = 'Listo de tajloritaj metadatumoj';
-$lang['Manage tag Metadata'] = 'Administri metadatumajn etikedojn';
+$lang['Manage tag Metadata'] = 'Administri meta-etikedojn';
 $lang['meta_choix'] = 'Redakti metadatumojn';
 $lang['Add Personal metadata'] = 'Aldoni tajoritajn metadatumojn';
@@ -29,9 +29,9 @@
 $lang['Choose Additional Pages'] = 'Elekti aldonajn paĝojn';
 $lang['Contact page Metadata'] = 'Metadatumoj de la kontaktoapaĝo';
-$lang['Description of Additional Pages to be completed'] = 'Kompletigenda metadatuma "priskribo" de la aldona paĝo';
+$lang['Description of Additional Pages to be completed'] = 'Kompletigenda meta-"priskribo" de la aldona paĝo';
 $lang['Description of contact page to be completed'] = 'Kompletigenda "priskribo" de la kontaktopaĝo';
-$lang['Keywords of Additional Pages to be completed'] = 'Kompletigendaj metadatumaj "ŝlosilvortoj" de la aldona paĝo';
-$lang['Keywords of contact page to be completed'] = 'Kompletigendaj metadatumaj "ŝlosilvortoj" de la kontaktopaĝo';
-$lang['meta_Description'] = 'priskribo de metadatumaj priskriboj';
+$lang['Keywords of Additional Pages to be completed'] = 'Kompletigendaj meta-"ŝlosilvortoj" de la aldona paĝo';
+$lang['Keywords of contact page to be completed'] = 'Kompletigendaj meta-"ŝlosilvortoj" de la kontaktopaĝo';
+$lang['meta_Description'] = 'priskribo de meta-"priskriboj"';
 $lang['meta_Description_help'] = 'Priskribo de via retejo<br> Permesas doni vidigeblan informon kiel rezulton de serĉilo';
 $lang['meta_author_help'] = 'Informo pri la aŭtoro <br> Nomo, kromnomo de la aŭtoro de la retejo';
@@ -40,6 +40,25 @@
 $lang['Personal Metadata'] = 'Tajloritaj metadatumoj';
 $lang['Personal metadata update'] = 'Tajloritaj metadatumoj ĝisdatiĝis';
-$lang['meta_author'] = 'priskribo de la metadatumo "aŭtoro"';
+$lang['meta_author'] = 'priskribo de la meta-"aŭtoro"';
 $lang['meta_comp'] = 'Metadatumoj kompletigendaj';
 $lang['meta_description'] = 'priskribo';
+$lang['meta_select2'] = 'Selekti metadatumojn';
+$lang['meta_compcat'] = 'Specifaj ŝlosilvortoj por tiu fotaro';
+$lang['meta_compcatdes'] = 'Specifaj priskriboj por tiu fotaro';
+$lang['meta_compcatdeshelp'] = 'Anstataŭigos ĉiujn meta-priskribojn';
+$lang['meta_compimg'] = 'Specifaj ŝlosilvortoj por tiu foto';
+$lang['meta_compimgdes'] = 'Specifaj priskriboj por tiu foto';
+$lang['meta_desh3'] = 'Administri ĉiujn metadatumojn por ĉiuj paĝoj';
+$lang['meta_diff_val'] = 'Ebla valoro';
+$lang['meta_inscat'] = 'Enmeti la "meta"';
+$lang['meta_insmeta'] = 'enmeti metadatumojn';
+$lang['meta_keywords'] = 'priskribo de la meta-"ŝlosilvortoj"';
+$lang['meta_keywords_help'] = '"Ŝlosilvorto, ŝlosilvorto, ktp."<br> Ŝlosilvortoj priskribantaj la retpaĝon. (Separitaj de komo)';
+$lang['meta_list'] = 'Metadatumo:';
+$lang['meta_name'] = 'Nomo de la metadatumo';
+$lang['meta_onglet_description'] = 'Pri metadatumoj';
+$lang['meta_onglet_gestion'] = 'Ĉiuj metadatumoj';
+$lang['meta_robots'] = 'priskribo de la meta-"robotoj"';
+$lang['meta_robots_help'] = 'all: Permesas al la roboto referenci ĉiujn paĝojn (apriore)<br>follow: Permesas al la roboto sekvi la paĝajn ligilojn<br>index: Permesas al la roboto indeksi la paĝon<br>nofollow: Malpermesas al la roboto sekvi la ligilojn<br>noindex: Malpermesas al la roboto indeksi la paĝon<br>none: Preventas al la roboto pludaŭrigi la indeksadon de la retejo';
+$lang['meta_select'] = 'Selekti ĉiujn metadatumojn redaktendajn';
 ?>