Index: /trunk/language/lb_LU/common.lang.php
===================================================================
--- /trunk/language/lb_LU/common.lang.php	(revision 25917)
+++ /trunk/language/lb_LU/common.lang.php	(revision 25918)
@@ -149,7 +149,7 @@
 $lang['Search'] = 'sichen';
 $lang['Search by date'] = 'no engem Datum sichen';
-$lang['Search for Author'] = 'no engem Autor sichen';
+$lang['Search for Author'] = 'Sich nom Auteur';
 $lang['Search for words'] = 'No Wierder sichen';
-$lang['Search in albums'] = 'An den Albumen sichen';
+$lang['Search in albums'] = 'Sich an den Albumen';
 $lang['xsmall'] = 'zimlech kleng';
 $lang['xxlarge'] = 'ganz grouss';
@@ -201,3 +201,69 @@
 $lang['Yes'] = 'Jo';
 $lang['Your website URL is invalid'] = 'Des Homepage URL ass falsch';
+$lang['Confirm Password'] = 'Neit Passwuert bestätegen';
+$lang['Unknown feed identifier'] = 'Feed-ID onbekannt';
+$lang['Register'] = 'Registréieren';
+$lang['Registration'] = 'Registréierung';
+$lang['Search for all terms'] = 'all d\'Wierder';
+$lang['Go through the gallery as a visitor'] = 'Besicht d\'Gallerie als Gaascht';
+$lang['%d Kb'] = '%d kb';
+$lang['%d photos per page'] = '%d Biller pro Säit';
+$lang['return to the display of all photos'] = 'Zeréck bei all d\'Fotoen';
+$lang['mandatory'] = 'néide';
+$lang['descending'] = 'ofsteigend';
+$lang['display all photos in all sub-albums'] = 'Weis all d\'Fotoen aus den Ënneralbumen';
+$lang['chronology_monthly_calendar'] = 'Kalenner vum Mount';
+$lang['comment date'] = 'Datum vum Kommentar';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Äre Kommentar ass refuséiert ginn, well en de Validéierungsregelen net entsprécht';
+$lang['ascending'] = 'opsteigend';
+$lang['chronology_monthly_list'] = 'Lescht vum Mount';
+$lang['chronology_weekly_list'] = 'Lescht vun der Woch';
+$lang['Visits'] = 'Visitten';
+$lang['Visits, high &rarr; low'] = 'Visitten,héich&rarr;niddreg';
+$lang['Visits, low &rarr; high'] = 'Visitten,niddreg&rarr;héich';
+$lang['Theme'] = 'Thema';
+$lang['Unknown identifier'] = 'ID onbekannt';
+$lang['Update your rating'] = 'Aktualiséiert är Bewertung';
+$lang['Username modification'] = 'Benotzernumm änneren';
+$lang['Submit'] = 'bestätegen';
+$lang['Search tags'] = 'Schlagwierder sichen';
+$lang['Since'] = 'Säit';
+$lang['Specials'] = 'erweidert';
+$lang['Requested tag does not exist'] = 'D\'Schlagwuert, dat Dir gewielt hutt, existéiert net';
+$lang['Return to home page'] = 'Zeréck op Staartsäit';
+$lang['Search in sub-albums'] = 'Sich an den Ënneralbumen';
+$lang['Search rules'] = 'Sichkriterien';
+$lang['Previous'] = 'Zeréck';
+$lang['Quick connect'] = 'Schnell Umeldung';
+$lang['Permalink for album not found'] = 'Permalink fir den Album net fond';
+$lang['Photo sizes'] = 'Bildgréisst';
+$lang['Photo title, A &rarr; Z'] = 'Numm vum Bild,A&rarr;Z';
+$lang['Photo title, Z &rarr; A'] = 'Numm vum Bild,Z&rarr;A';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Den numeresche Bezeechner,1&rarr;9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Den numeresche Bezeechner, 9&rarr;1';
+$lang['Kind of date'] = 'Datumstyp';
+$lang['Last'] = 'Lescht Säit';
+$lang['Last Page'] = 'Lescht Säit';
+$lang['First'] = 'Eischt Säit';
+$lang['First Page'] = 'Eischt Säit';
+$lang['Forgot your password?'] = 'Passwuert vergiess';
+$lang['Go back to the album'] = 'Zeréck bei den Album';
+$lang['Home'] = 'Staartsäit';
+$lang['EXIF Metadata'] = 'Exif-Metadaten';
+$lang['Edit'] = 'Beaarbechten';
+$lang['Edit a comment'] = 'beaarbecht ee Kommentar';
+$lang['Enter your new password below.'] = 'Neit Passwuert ënnen agin';
+$lang['Expand all albums'] = 'Den Albumsbam komplett erausklappen';
+$lang['Current password is wrong'] = 'Aktuellt Passwuerd ass falsch';
+$lang['Customize'] = 'Benotzerdaten/Layout';
+$lang['Date created, new &rarr; old'] = 'Datum erstallt,nei&rarr;al';
+$lang['Date created, old &rarr; new'] = 'Datum erstallt,al&rarr;nei';
+$lang['Default'] = 'Standard';
+$lang['Created on'] = 'Erstallt den';
+$lang['Creation date'] = 'Erstellungsdatum';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Flot Spär: kuerz warden bis dir e neien Kommentar schéckt';
+$lang['Any tag'] = 'x-belibegt Schlagwuert';
+$lang['Bad request'] = 'Falsch Ufro';
+$lang['Close this window'] = 'Dës Fenster zoumaachen';
+$lang['Add a comment'] = 'Kommentar dobäisetzen';
 ?>