Index: /extensions/AdminTools/template/public_controller.js
===================================================================
--- /extensions/AdminTools/template/public_controller.js	(revision 25923)
+++ /extensions/AdminTools/template/public_controller.js	(revision 25924)
@@ -6,10 +6,10 @@
 
   var $ato = $('#ato_header'),
-      $ato_closed = $('#ato_header_closed'),
-      ato_height = 28;
+      $ato_closed = $('#ato_header_closed');
 
   // move to whole page down or up
   function moveBody(dir, anim) {
-    var operator = dir=='show' ? '+=' : '-=';
+    var operator = dir=='show' ? '+=' : '-=',
+        ato_height = $ato.height();
 
     if (anim) {
Index: /extensions/AdminTools/template/public_controller.tpl
===================================================================
--- /extensions/AdminTools/template/public_controller.tpl	(revision 25923)
+++ /extensions/AdminTools/template/public_controller.tpl	(revision 25924)
@@ -71,5 +71,5 @@
     <li><a href="#" class="icon-ato-cancel close-panel"></a></li>
   {if isset($ato.U_SITE_ADMIN)}
-    <li class="parent"><a href="#" class="icon-menu ato-hide-1">{'Administration'|translate}</a>
+    <li class="parent"><a href="#" class="icon-menu ato-min-1">{'Administration'|translate}</a>
       <ul>
         <li><a class="icon-picture" href="{$ato.U_SITE_ADMIN}batch_manager">{'Photos'|translate}</a></li>
@@ -83,5 +83,5 @@
   {/if}
   {if isset($ato.U_ADMIN_EDIT)}
-    <li class="parent"><a href="#" class="icon-pencil ato-hide-2">{'Edit'|translate}</a>
+    <li class="parent"><a href="#" class="icon-pencil ato-min-2">{'Edit'|translate}</a>
       <ul>
         <li><a href="#ato_quick_edit" class="icon-ato-flash edit-quick">{'Quick edit'|translate}</a></li>
@@ -93,22 +93,22 @@
     </li>
   {else if isset($ato.QUICK_EDIT)}
-    <li><a href="#ato_quick_edit" class="icon-pencil edit-quick ato-hide-2">{'Edit'|translate}</a></li>
+    <li><a href="#ato_quick_edit" class="icon-pencil edit-quick ato-min-2">{'Edit'|translate}</a></li>
     {if isset($ato.U_DELETE)}
-      <li><a class="icon-ato-cancel ato-hide-2" href="{$ato.U_DELETE}" onclick="return confirm('{'Are you sure?'|translate|escape:javascript}')">{'delete photo'|translate|ucfirst}</a></li>
+      <li><a class="icon-ato-cancel ato-min-2" href="{$ato.U_DELETE}" onclick="return confirm('{'Are you sure?'|translate|escape:javascript}')">{'delete photo'|translate|ucfirst}</a></li>
     {/if}
   {/if}
   {if isset($ato.U_SET_REPRESENTATIVE)}
-    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative ato-hide-2" href="{$ato.U_SET_REPRESENTATIVE}">{'representative'|translate|ucfirst}</a></li>
+    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative ato-min-2" href="{$ato.U_SET_REPRESENTATIVE}">{'representative'|translate|ucfirst}</a></li>
   {/if}
   {if isset($ato.U_CADDIE)}
-    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-flag add-caddie ato-hide-2" href="{$ato.U_CADDIE}">{'Add to caddie'|translate}</a></li>
+    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-flag add-caddie ato-min-2" href="{$ato.U_CADDIE}">{'Add to caddie'|translate}</a></li>
   {/if}
   {if isset($ato.IS_CATEGORY)}
-    <li><a class="icon-plus-circled ato-hide-2" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}">{'Add Photos'|translate}</a></li>
+    <li><a class="icon-plus-circled ato-min-2" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}">{'Add Photos'|translate}</a></li>
   {/if}
-    <li class="saved"><span class="icon-ato-ok ato-hide-1">{'Saved'|translate}</span></li>
+    <li class="saved"><span class="icon-ato-ok ato-min-1">{'Saved'|translate}</span></li>
 
   {if isset($ato.MULTIVIEW)}
-    <li class="parent right multiview"><a class="icon-cog-alt ato-hide-1" href="#">{'Tools'|translate}</a>
+    <li class="parent right multiview"><a class="icon-cog-alt ato-min-1" href="#">{'Tools'|translate}</a>
       <ul>
         <li><label>{'View as'|translate}</label>
@@ -130,8 +130,8 @@
     </li>
     {if $ato.USER.id != $ato.MULTIVIEW.view_as}
-    <li class="right">
-      &nbsp;&nbsp;{'Viewing as <b>%s</b>.'|translate:$ato.CURRENT_USERNAME}
+    <li class="right ato-hide-2"><span>
+      {'Viewing as <b>%s</b>.'|translate:$ato.CURRENT_USERNAME}
       <a href="{$ato.U_SELF}ato_view_as={$ato.USER.id}">{'Revert'|translate}</a>
-    </li>
+    </span></li>
     {/if}
   {/if}
Index: /extensions/AdminTools/template/style.css
===================================================================
--- /extensions/AdminTools/template/style.css	(revision 25923)
+++ /extensions/AdminTools/template/style.css	(revision 25924)
@@ -213,21 +213,29 @@
 }
 
-@media (max-width:640px) {
-  #ato_header>ul li>.ato-hide-1 {
+@media (max-width:900px) {
+  #ato_header .ato-min-1 {
     font-size:0px;
     line-height:0px;
   }
-  #ato_header>ul li>.ato-hide-1:before {
+  #ato_header .ato-min-1:before {
     margin-right:0;
   }
-}
-
-@media (max-width:500px) {
-  #ato_header>ul li>.ato-hide-2 {
+
+  #ato_header .ato-hide-1 {
+    display:none;
+  }
+}
+
+@media (max-width:750px) {
+  #ato_header .ato-min-2 {
     font-size:0px;
     line-height:0px;
   }
-  #ato_header>ul li>.ato-hide-2:before {
+  #ato_header .ato-min-2:before {
     margin-right:0;
   }
-}
+
+  #ato_header .ato-hide-2 {
+    display:none;
+  }
+}