Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 25974)
+++ /trunk/admin.php	(revision 25975)
@@ -264,18 +264,14 @@
         'site_manager', // delete site
         'site_update',  // ?only POST
-        'cat_list',     // delete cat
-        'cat_move',     // ?only POST
-        'cat_options',  // ?only POST; public/private; lock/unlock
-        'user_perm',
-        'group_perm',
-        'group_list',   // delete group
       )
     )
     or ( !empty($_POST) and in_array($page['page'],
         array(
-          'photo',
           'album',        // public/private; lock/unlock, permissions
+          'cat_move',
+          'cat_options',  // public/private; lock/unlock
           'batch_manager',  // associate/dissociate; delete; set level
           'user_list',    // group assoc; user level
+          'user_perm',
         )
       )
Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 25974)
+++ /trunk/admin/cat_list.php	(revision 25975)
@@ -116,4 +116,5 @@
   $_SESSION['page_infos'] = array(l10n('Virtual album deleted'));
   update_global_rank();
+  invalidate_user_cache();
 
   $redirect_url = get_root_url().'admin.php?page=cat_list';
@@ -121,9 +122,9 @@
   {
     $redirect_url.= '&parent_id='.$_GET['parent_id'];
-  }  
+  }
   redirect($redirect_url);
 }
 // request to add a virtual category
-else if (isset($_POST['submitAdd']))
+elseif (isset($_POST['submitAdd']))
 {
   $output_create = create_virtual_category(
@@ -132,4 +133,5 @@
     );
 
+  invalidate_user_cache();
   if (isset($output_create['error']))
   {
@@ -142,5 +144,5 @@
 }
 // save manual category ordering
-else if (isset($_POST['submitManualOrder']))
+elseif (isset($_POST['submitManualOrder']))
 {
   asort($_POST['catOrd'], SORT_NUMERIC);
@@ -149,5 +151,5 @@
   $page['infos'][] = l10n('Album manual order was saved');
 }
-else if (isset($_POST['submitAutoOrder']))
+elseif (isset($_POST['submitAutoOrder']))
 {
   $query = '
Index: /trunk/admin/group_list.php
===================================================================
--- /trunk/admin/group_list.php	(revision 25974)
+++ /trunk/admin/group_list.php	(revision 25975)
@@ -360,4 +360,5 @@
     }
   }
+  invalidate_user_cache();
 }
 // +-----------------------------------------------------------------------+
Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 25974)
+++ /trunk/admin/group_perm.php	(revision 25975)
@@ -113,4 +113,5 @@
 
   mass_inserts(GROUP_ACCESS_TABLE, array('group_id','cat_id'), $inserts);
+  invalidate_user_cache();
 }
 
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 25974)
+++ /trunk/admin/picture_modify.php	(revision 25975)
@@ -83,5 +83,5 @@
     explode(',', calculate_permissions($user['id'], $user['status']))
     );
-  
+
   foreach ($authorizeds as $category_id)
   {
@@ -176,4 +176,6 @@
   move_images_to_categories(array($_GET['image_id']), $_POST['associate']);
 
+  invalidate_user_cache();
+
   // thumbnail for albums
   if (!isset($_POST['represent']))
@@ -181,5 +183,5 @@
     $_POST['represent'] = array();
   }
-  
+
   $no_longer_thumbnail_for = array_diff($represent_options_selected, $_POST['represent']);
   if (count($no_longer_thumbnail_for) > 0)
@@ -200,5 +202,5 @@
 
   $represent_options_selected = $_POST['represent'];
-  
+
   $page['infos'][] = l10n('Photo informations updated');
 }
@@ -321,10 +323,10 @@
 ;';
   list($row['nb_rates']) = pwg_db_fetch_row(pwg_query($query));
-  
+
   $intro_vars['stats'].= ', '.sprintf(l10n('Rated %d times, score : %.2f'), $row['nb_rates'], $row['rating_score']);
 }
 
 $template->assign('INTRO', $intro_vars);
- 
+
 
 if (in_array(get_extension($row['path']),$conf['picture_ext']))
Index: /trunk/include/ws_functions/pwg.groups.php
===================================================================
--- /trunk/include/ws_functions/pwg.groups.php	(revision 25974)
+++ /trunk/include/ws_functions/pwg.groups.php	(revision 25975)
@@ -150,4 +150,7 @@
   pwg_query($query);
 
+  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+  invalidate_user_cache();
+
   return new PwgNamedArray($groupnames, 'group_deleted');
 }
@@ -247,4 +250,5 @@
     );
 
+  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
   invalidate_user_cache();
 
@@ -281,4 +285,5 @@
   pwg_query($query);
 
+  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
   invalidate_user_cache();
 