Index: /extensions/PwgCarbon_dft/js/menu.js
===================================================================
--- /extensions/PwgCarbon_dft/js/menu.js	(revision 25991)
+++ /extensions/PwgCarbon_dft/js/menu.js	(revision 25992)
@@ -1,118 +1,71 @@
-/*
- * jQuery Mega Drop Down Menu script by Soh Tanaka
- * http://www.sohtanaka.com/web-design/mega-drop-downs-w-css-jquery/
- * 
- */
 $(document).ready(function(){
+	$('.mcol').columnize({ columns: 4});
+	$.each($('.mcol li'), function() {
+		var $li = $(this),
+			$test=$li.find('a');
+		if($test.length == 0){
+			$li.remove()
+		}
+	})
+	
+	$('li.liSub:last-child dt').addClass('dd_wrapper');
+	$('li.liSub:last-child dd').addClass('sub');
+	$('ul#topnav li .sub').hide();
 
-	$("li.liSub:last-child dt").addClass('dd_wrapper');
-	$("li.liSub:last-child dd").addClass('sub');
+	function megaHoverOver(){
+		$(this).find('.sub').stop().slideDown(200);
+	};
+	
+	function megaHoverOut(){
+	 $(this).find('.sub').stop().slideUp(200);
+	};
+
+	var $configSub 	= {
+						over	: megaHoverOver,   
+						out		: megaHoverOut 	   
+						};
+
+	$('ul#topnav li').hoverIntent($configSub);
+	$('ul#topnav .sub ul li:last-child a').css('border', 'none');
+
+	
+	$('.cl_wrapper').hover(function(){
+		if($(this).next('div').is(':hidden')){
+			$(this).addClass('activate').next('div').slideDown(200).attr(':visible');
+		}
+	});
+		
+	$('.cl_wrapper').click(function(){
+		if($(this).next('div').is(':visible')){
+			$(this).next('div').slideUp(200, function(){
+				$(this).hide()
+			});
+			$(this).removeClass('activate').next('div').attr(':hidden'); 
+		}
+	});
+	
+	$('.cc_wrapper').click(function(){
+		if($(this).next('div').is(':visible')){
+			$(this).removeClass('activate').next('div').slideUp(200, function(){
+				$(this).hide().attr(':hidden');
+			});
+		} else {
+			$(this).next('div').slideDown(200).attr(':visible');
+		}
+	});
+
+	$('.close').click(function(){
+		$(this).parent().slideUp(200, function(){
+				$(this).hide().attr(':hidden')
+			}).prev().removeClass('activate');
+	});
+		
+});
+	
 
 
 
-	function megaHoverOver(){
-		$(this).find(".sub").stop().fadeTo('slow', 1).show();
-			
-	}
-	
-	function megaHoverOut(){
-	 $(this).find(".sub").stop().fadeTo('slow', 0, function() {
-		  $(this).hide();
-	  });
-	}
 
 
-	var configSub = {
-		 sensitivity: 2,		// number = sensitivity threshold (must be 1 or higher)    
-		 interval: 0, 			// number = milliseconds for onMouseOver polling interval    
-		 over: megaHoverOver,   // function = onMouseOver callback (REQUIRED)    
-		 timeout: 0, 			// number = milliseconds delay before onMouseOut    
-		 out: megaHoverOut 		// function = onMouseOut callback (REQUIRED)    
-	};
-
-	$("ul#topnav li .sub").css({'opacity':'0'});
-	$("ul#topnav li").hoverIntent(configSub);
-	
-	var configSwitch = {
-		 sensitivity: 2,		// number = sensitivity threshold (must be 1 or higher)    
-		 interval: 0, 			// number = milliseconds for onMouseOver polling interval    
-		 over: switchBoxOver,   // function = onMouseOver callback (REQUIRED)    
-		 timeout: 0, 			// number = milliseconds delay before onMouseOut    
-		 out: switchBoxOut 		// function = onMouseOut callback (REQUIRED)    
-	};
-
-	function switchBoxOver(){
-		$(this).find(".switchBox").stop().fadeTo('slow', 1).show();
-			
-	}
-	
-	function switchBoxOut(){
-	 $(this).find(".switchBox").stop().fadeTo('slow', 0, function() {
-		  $(this).hide();
-	  });
-	}
-	$("ul.categoryActions li").hoverIntent(configSwitch);
-
-	
-	// Delete the border for the last li of the submenu
-	$("ul#topnav .sub ul li:last-child a").css("border", "none");
-
-	/*other menubar script*/
-	//open form login menu		
-	
-
-	
-	$(".cl_wrapper").next("div").hide();
-
-	
-	$(".cl_wrapper").hover(function(){
-	
-		if($(this).next("div").is(":hidden")){
-			$(this).next("div").fadeTo('fast', 1);
-			$(this).addClass('activate');
-			$(this).next("div").attr(":visible")
-		}
-	});
-		
-	
-	$(".cl_wrapper").click(function(){
-		if($(this).next("div").is(":visible")){
-		$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
-		$(this).removeClass('activate'); 
-		$(this).next("div").attr(":hidden")
-		}
-	});
-
-	$(".close").click(function(){
-		if($("#loger").is(":visible")){
-			$("#loger").fadeTo('fast', 0, function(){$(this).hide()});
-			$(".cl_wrapper").removeClass('activate');
-			$("#loger").attr(":hidden");
-		}
-	});
-	
-	$(".cc_wrapper").click(function(){
-		if($(this).next("div").is(":visible")){
-			$(this).next("div").fadeTo('slow', 0, function(){$(this).hide()});
-			$(this).removeClass('activate'); 
-			$(this).next("div").attr(":hidden")
-		}
-	});
-	
-	$(".cc_wrapper").click(function(){
-		if($(this).next("div").is(":hidden")){
-			$(this).next("div").fadeTo('fast', 1);
-			$(this).addClass('activate');
-			$(this).next("div").attr(":visible")
-		}
-	});
-	
-
-	
-	
-	
 
 
-	// make column menubar_categorie
-	$('.mcol').makeacolumnlists({cols:4, colWidth:155, equalHeight: true, startN: 1});
-});