Index: /extensions/Slimi/local_head.tpl
===================================================================
--- /extensions/Slimi/local_head.tpl	(revision 25997)
+++ /extensions/Slimi/local_head.tpl	(revision 25998)
@@ -1,10 +1,5 @@
-{php}
-	global $Slimi;
-	$this->assign( 'Slimi', $Slimi );
-{/php}
-
 {combine_script id='menu' load='header' require='jquery' path='themes/Slim/js/menu.js'}
-{combine_script id='hoverIntent' load='header' require='jquery' path='themes/Slim/js/jquery.hoverIntent.minified.js'}
-{combine_script id='columnizer' load='header' require='jquery' path='themes/Slim/js/columnizer.js'}
+{combine_script id='hoverIntent' load='header' require='jquery' path='themes/Slim/js/jquery.hoverIntent.js'}
+{combine_script id='columnizer' load='header' require='jquery' path='themes/Slim/js/jquery.columnizer.js'}
 
 {if (($Slimi.lytebox_slimi)==1)}
Index: /extensions/Slimi/slimi.php
===================================================================
--- /extensions/Slimi/slimi.php	(revision 25997)
+++ /extensions/Slimi/slimi.php	(revision 25998)
@@ -4,4 +4,5 @@
 global $conf, $template;
   $params = array_merge(unserialize($conf['Slimi']));
+	$template->assign('Slimi', $params);
 
   
@@ -9,5 +10,5 @@
 <style media="screen" type="text/css">
 body{background:'.$params['bg_slimi'].'}
-#infoBlock,#imageHeaderBar, .jcarousel-skin-cat .jcarousel-container,#menubar{background:'.$params['bd_slimi'].'}
+#infoBlock,#imageHeaderBar, #carousel,#menubar{background:'.$params['bd_slimi'].'}
 #theHeader p, #theHeader h1{color:'.$params['title_slimi'].'}
 </style>
Index: /extensions/Slimi/template/index.tpl
===================================================================
--- /extensions/Slimi/template/index.tpl	(revision 25997)
+++ /extensions/Slimi/template/index.tpl	(revision 25998)
@@ -145,11 +145,83 @@
 
 {if !empty($THUMBNAILS)}
-<ul class="thumbnails" id="thumbnails">
 {$THUMBNAILS}
-</ul>
+{footer_script}{literal}
+        $('.jcarousel')
+            .jcarousel({
+                 wrap: 'circular'
+            })		
+			.jcarouselAutoscroll({
+			autostart: false
+			});	
+			
+        $('.jcarousel-control-prev')
+            .on('jcarouselcontrol:active', function() {
+                $(this).removeClass('inactive');
+            })
+            .on('jcarouselcontrol:inactive', function() {
+                $(this).addClass('inactive');
+            })
+            .jcarouselControl({
+                target: '-=1'
+            });
+
+        $('.jcarousel-control-next')
+            .on('jcarouselcontrol:active', function() {
+                $(this).removeClass('inactive');
+            })
+            .on('jcarouselcontrol:inactive', function() {
+                $(this).addClass('inactive');
+            })
+            .jcarouselControl({
+                target: '+=1'
+            });
+{/literal}{/footer_script}
 {/if}
 
 {if empty($THUMBNAILS)}
-{if !empty($CATEGORIES)}{$CATEGORIES}{/if}
+{if !empty($CATEGORIES)}{$CATEGORIES}
+		{footer_script}{literal}
+        $('.jcarousel')
+            .jcarousel({
+                 wrap: 'circular'
+            })		
+			.jcarouselAutoscroll({
+			interval: 3000,
+			target: '+=1',
+			autostart: true
+			});	
+			
+        $('.jcarousel-control-prev')
+            .on('jcarouselcontrol:active', function() {
+                $(this).removeClass('inactive');
+            })
+            .on('jcarouselcontrol:inactive', function() {
+                $(this).addClass('inactive');
+            })
+            .jcarouselControl({
+                target: '-=1'
+            });
+
+        $('.jcarousel-control-next')
+            .on('jcarouselcontrol:active', function() {
+                $(this).removeClass('inactive');
+            })
+            .on('jcarouselcontrol:inactive', function() {
+                $(this).addClass('inactive');
+            })
+            .jcarouselControl({
+                target: '+=1'
+            });
+		
+		$('.jcarousel')
+			.on('mouseenter', function(){
+				$(this).jcarouselAutoscroll('stop')
+			})
+			.on('mouseleave', function(){
+				$(this).jcarouselAutoscroll('start')
+			});
+{/literal}{/footer_script}
+
+{/if}
 {/if}
 
Index: /extensions/Slimi/template/mainpage_categories.tpl
===================================================================
--- /extensions/Slimi/template/mainpage_categories.tpl	(revision 25997)
+++ /extensions/Slimi/template/mainpage_categories.tpl	(revision 25998)
@@ -1,18 +1,8 @@
 {define_derivative name='carousel' width='300' height='300' min_width='300'}
-
-
-{html_style}
-.jcarousel-skin-cat .jcarousel-list li{ldelim}
-	min-width:{$carousel->max_width()}px;
-{/html_style}
-
-<div id="carouselcat">
-
+<div id="carousel">
 <div id="wrap">
-	  <ul id="carousel" class="jcarousel-skin-cat">
-
+	<div class="jcarousel">
+	  <ul>
 		{foreach from=$category_thumbnails item=cat}
-
-
 			<li>
 					<div class="illustration">
@@ -40,35 +30,7 @@
 		{/foreach}
 	</ul>
-{footer_script}{literal}
-function mycarousel_initCallback(carousel)
-{
-// Disable autoscrolling if the user clicks the prev or next button.
-    carousel.buttonNext.bind('click', function() {
-        carousel.startAuto(1);
-    });
-
-    carousel.buttonPrev.bind('click', function() {
-        carousel.startAuto(0);
-    });
-	
-	
-    // Pause autoscrolling if the user moves with the cursor over the clip.
-    carousel.clip.hover(function() {carousel.stopAuto();}, 
-						function() {carousel.startAuto();}
-						);
-};
-
-jQuery(document).ready(function() {
-    jQuery('#carousel').jcarousel({
-    	auto: 1,
-		wrap: 'circular',
-		scroll: 2,
-		animation: 2000,
-		initCallback: mycarousel_initCallback,
-		
-    });
-});
-{/literal}{/footer_script}
 </div>
 </div>
-
+	<a href="#" class="jcarousel-control-prev">&lsaquo;</a>
+    <a href="#" class="jcarousel-control-next">&rsaquo;</a>
+</div>
Index: /extensions/Slimi/template/thumbnails.tpl
===================================================================
--- /extensions/Slimi/template/thumbnails.tpl	(revision 25997)
+++ /extensions/Slimi/template/thumbnails.tpl	(revision 25998)
@@ -3,12 +3,11 @@
     global $page, $template;
     $template->assign('cat_name', $page['category']['name']);
-	
-	global $Slimi;	$this->assign( 'Slimi', $Slimi);
 {/php}
 
 
-<div id="carouselthumb">
+<div id="carousel">
 <div id="wrap">
-<ul id="carousel" class="jcarousel-skin-cat">
+		<div class="jcarousel">
+<ul>
 		{if !empty($category_thumbnails)}
 		
@@ -39,5 +38,5 @@
 	{assign var=derivative value=$pwg->derivative($carousel, $thumbnail.src_image)}
 			<li>
-				<div class="iIllustration">
+				<div class="illustration">
 					<a href="{if ($Slimi.lytebox_slimi)==1}{$thumbnail.path}" class="lytebox" rev="slide:true group:name showNavigation:true navType:1 slideInterval:6000"{else}{$thumbnail.URL}"{/if} title="{$thumbnail.NAME|strip_tags:false|replace:'\'':'&#39;'|replace:'"':'&quot;'}">
 					<img class="thumbnail" src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" height="{$carousel->max_height()}"/>
@@ -73,27 +72,8 @@
 	{/foreach}
 </ul>
-{footer_script}{literal}
-function mycarousel_initCallback(carousel)
-{
-    // Pause autoscrolling if the user moves with the cursor over the clip.
-    carousel.clip.hover(function() {
-        carousel.stopAuto();
-    }, function() {
-        carousel.startAuto();
-    });
-};
-
-jQuery(document).ready(function() {
-    jQuery('#carousel').jcarousel({
-    	auto: 0,
-		wrap: 'circular',
-		scroll: 2,
-		initCallback: mycarousel_initCallback,
-		
-    });
-});
-
-{/literal}{/footer_script}
 
 </div>
 </div>
+	<a href="#" class="jcarousel-control-prev">&lsaquo;</a>
+    <a href="#" class="jcarousel-control-next">&rsaquo;</a>
+</div>
Index: /extensions/Slimi/theme.css
===================================================================
--- /extensions/Slimi/theme.css	(revision 25997)
+++ /extensions/Slimi/theme.css	(revision 25998)
@@ -17,5 +17,5 @@
 #comments{background:#4f4f4f;width:100%}
 .commentElement{border-radius:0;border:none;color:#c2c2c2}
-
+.switchBox{z-index:1001}
 /*=========================================icon======================================================*/
 .pwg-icon{background-image:url("../default/s26/outline_ffffff.png")}
@@ -38,5 +38,5 @@
 #menubar{background:#000;height:35px}
 .dd_wrapper,.cl_wrapper,.cc_wrapper,#menubar dt,#menubar dt a{line-height:35px;height:29px;padding:0 16px 6px;color:#c2c2c2}
-.dd_wrapper:hover,.cl_wrapper:hover,.cc_wrapper:hover,.activate,#menubar dt a:hover,#menubar dt:hover{z-index:100;height:29px;background:#4f4f4f;color:#ff8a00;padding:0 16px 4px;text-shadow:none}
+.dd_wrapper:hover,.cl_wrapper:hover,.cc_wrapper:hover,.activate,#menubar dt a:hover,#menubar dt:hover{z-index:100;background:#4f4f4f;color:#ff8a00;padding:0 16px 4px;text-shadow:none}
 #menubar dt a,#menubar dt a:hover{padding:0 0}
 span#menu_start{background:none}
@@ -44,5 +44,5 @@
 #topnav .liSub{background:none}
 #topnav .sub, #topnav #loger{top:35px;border-radius:0;box-shadow:5px 5px 20px #000;background:rgba(0, 0, 0, 0.8)}
-ul#topnav .sub ul li,ul#topnav #loger ul li,ul#topnav .sub #menuTagCloud div{border:none}
+ul#topnav .sub ul li,ul#topnav #loger ul li,ul#topnav .sub #menuTagCloud div{2px;border:1px solid #CBCBCB;border-radius:10px}
 ul#topnav .sub ul li a,ul#topnav #loger ul li a{background:none}
 ul#topnav .sub ul li.selected a{background:url(images/menu/navlist_arrow_select.png) no-repeat 0 5px}
@@ -62,6 +62,5 @@
 
 /*=========================================carousel======================================================*/
-.jcarousel-skin-cat .jcarousel-list li{height:300px}
-.jcarousel-skin-cat .jcarousel-container{border:none;border-radius:0;box-shadow:none;}
-.jcarousel-skin-cat {padding:0}
-.jcarousel-skin-cat .jcarousel-prev-horizontal,.jcarousel-skin-cat .jcarousel-next-horizontal{z-index:1000}
+#wrap{position:relative;margin:0;padding:50px 0px 40px;border:none;border-radius:0;background:transparent;box-shadow:none}
+.jcarousel-control-prev{left:40px;z-index:1000}
+.jcarousel-control-next{right:40px;z-index:1000}
Index: /extensions/Slimi/themeconf.inc.php
===================================================================
--- /extensions/Slimi/themeconf.inc.php	(revision 25997)
+++ /extensions/Slimi/themeconf.inc.php	(revision 25998)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Slimi
-Version: auto
+Version: 1.3
 Description: Piwigo theme.
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=644
@@ -38,14 +38,7 @@
 
 add_event_handler('loc_end_page_header', 'load_Slimi' );
-
-
 function load_Slimi()
 {
-global $user, $page; 
-if($user['theme']=='Slimi')
-  
-		{ 
 	include('slimi.php');
-		}
 	}
 