Index: /extensions/birthdate/admin/template/birthdates.tpl
===================================================================
--- /extensions/birthdate/admin/template/birthdates.tpl	(revision 26015)
+++ /extensions/birthdate/admin/template/birthdates.tpl	(revision 26016)
@@ -8,12 +8,12 @@
 
 {combine_script id='jquery.chosen' load='footer' path='themes/default/js/plugins/chosen.jquery.min.js'}
+{combine_css path="themes/default/js/plugins/chosen.css"}
 
-{combine_css path="themes/default/js/plugins/chosen.css"}
 {combine_css path="themes/default/js/ui/theme/jquery.ui.datepicker.css"}
 {combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
 
-{footer_script require='jquery.timepicker'}{literal}
+{footer_script require='jquery.timepicker'}
 jQuery(document).ready(function() {
-  jQuery("#who").chosen();
+  jQuery("#who").chosen({ "width":"300px" });
 
   jQuery('#birthdateSelect').datetimepicker({
@@ -23,9 +23,9 @@
     yearRange: "1900:+1",
     dateFormat: "yy-mm-dd",
-    timeText: '{/literal}{'selection'|@translate|escape:javascript}{literal}',
-    hourText: '{/literal}{'Hour'|@translate|escape:javascript}{literal}',
-    minuteText: '{/literal}{'Minute'|@translate|escape:javascript}{literal}',
-    currentText: '{/literal}{'Now'|@translate|escape:javascript}{literal}',
-    closeText: '{/literal}{'Validate'|@translate|escape:javascript}{literal}'
+    timeText: '{'selection'|@translate|escape:javascript}',
+    hourText: '{'Hour'|@translate|escape:javascript}',
+    minuteText: '{'Minute'|@translate|escape:javascript}',
+    currentText: '{'Now'|@translate|escape:javascript}',
+    closeText: '{'Validate'|@translate|escape:javascript}'
   });
 
@@ -57,5 +57,5 @@
 
     jQuery("[name=add_birthdate]").show();
-    jQuery("#who").val("~~"+tag_id+"~~").trigger("liszt:updated");
+    jQuery("#who").val("~~"+tag_id+"~~").trigger("chosen:updated");
     jQuery("#birthdateSelect").val(birthdate);
 
@@ -87,9 +87,7 @@
 
 });
-{/literal}{/footer_script}
+{/footer_script}
 
-
-{literal}
-<style>
+{html_style}{literal}
 form fieldset p {text-align:left;margin:0 0 1.5em 0;line-height:20px;}
 .rowSelected {background-color:#C2F5C2 !important}
@@ -97,8 +95,10 @@
 .birthdateActions {text-align:center;}
 .birthdateActions a:hover {border:none}
+.ui-datepicker-current {display:none}
 
 #editLegend {display:none}
-</style>
-{/literal}
+.birthdateActions a {display:inline-block;}
+.birthdateActions a:hover {text-decoration:none;}
+{/literal}{/html_style}
 
 <div class="titrePage">
@@ -120,5 +120,5 @@
       <strong>{'Who?'|@translate}</strong>
       <br>
-      <select id="who" name="who" data-placeholder="{'Select a tag'|@translate}" style="width:250px;">
+      <select id="who" name="who" data-placeholder="{'Select a tag'|@translate}">
         <option value=""></option>
 {foreach from=$tags item=tag}
@@ -157,10 +157,6 @@
     <td>{$birthdate.PHOTOS}</td>
     <td class="birthdateActions">
-      <a href="#" class="editBirthdate" data-tag_id="{$birthdate.TAG_ID}" data-birthdate="{$birthdate.BIRTHDATE_RAW}">
-        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" alt="{'edit'|@translate}" title="{'edit'|@translate}" />
-      </a>
-      <a href="{$birthdate.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete{$birthdate.TAG_ID}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
-        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete{$birthdate.TAG_ID}" alt="{'delete'|@translate}" title="{'Delete birthdate for %s'|@translate|@sprintf:$birthdate.NAME}" />
-      </a>
+      <a href="#" class="editBirthdate icon-pencil" data-tag_id="{$birthdate.TAG_ID}" data-birthdate="{$birthdate.BIRTHDATE_RAW}" title="{'edit'|@translate}"></a>
+      <a href="{$birthdate.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete{$birthdate.TAG_ID}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');" class="icon-trash" title="{'Delete birthdate for %s'|@translate|@sprintf:$birthdate.NAME}"></a>
     </td>
   </tr>